/*
 * Copyright (C) 1999-2001 Free Software Foundation, Inc.
 * This file is part of the GNU LIBICONV Library.
 *
 * The GNU LIBICONV Library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * The GNU LIBICONV Library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with the GNU LIBICONV Library; see the file COPYING.LIB.
 * If not, write to the Free Software Foundation, Inc., 51 Franklin Street,
 * Fifth Floor, Boston, MA 02110-1301, USA.
 */

/*
 * ISO-8859-1
 */

#ifdef CONFIG_VFAT

#include "system.h"
#include "charset.h"

static int
iso8859_1_mbtowc (wchar_t *pwc, const unsigned char *s, int n)
{
  unsigned char c = *s;
  //*pwc = (wchar_t) c;
  SETUINT16(pwc, (wchar_t)c);
  return 1;
}

static int
iso8859_1_wctomb (unsigned char *r, wchar_t wc, int n)
{
  if (wc < 0x0100) {
    *r = wc;
    return 1;
  }
  return RET_ILUNI;
}

static struct ConvFuncTab conv_iso8859_1 = {
    .charset = "iso8859-1",
    .mbtowc = iso8859_1_mbtowc,
    .wctomb = iso8859_1_wctomb,
};

int addConv_iso8859_1(void)
{
    return addConvTab(&conv_iso8859_1);
}

#endif /* CONFIG_VFAT */
